apiVersion: v1
kind: Secret
metadata:
  name: ryax-user-secret
  labels:
    {{- include "ryax-demo.labels" . | nindent 4 }}
  annotations:
    "helm.sh/resource-policy": "keep"
type: Opaque
data:
  # retrieve the secret data using lookup function and when not exists, return an empty dictionary / map as result
  {{- $secretData := (lookup "v1" "Secret" .Release.Namespace "ryax-user-secret") | default dict }}
  # set secret to existing secret data or generate a random one when not exists
  {{- $passSecret := (get $secretData "ryax-user-secret") | default (randAlphaNum 32 | b64enc) }}
  # generate 32 chars long random string, base64 encode it and then double-quote the result string.
  admin-user-pass: {{ $passSecret | b64enc | quote }}
